EldoS | Feel safer!

Software components for data protection, secure storage and transfer

SBB v15.0.295 and FreePascal

Also by EldoS: Solid File System
A virtual file system that offers a feature-rich storage for application documents and data with built-in compression and encryption.
#37386
Posted: 08/05/2016 04:01:15
by Massimiliano Argenti (Standard support level)
Joined: 11/07/2015
Posts: 8

Hello,
I've downloaded v15.0.295 evaluation, but I'm unable to compile under linux ubuntu 16.04 with FreePascal (tried bot fpc 2.6.4 and 3.0.0)
The compiler return an error: Wrong PPU version 172

However, PPU version generated by fpc 3.0.0 is 173 while with fpc 2.6.4 is 135 (in my installation)

Any hint?

Thank you
Massimiliano
#37387
Posted: 08/05/2016 07:46:54
by Eugene Mayevski (EldoS Corp.)

Thank you for the report.

The version of FPC on our Linux build systems is 3.0.0. I assumed, that the minor updates should not break compilation, but appears, that FPC developers have other opinion.

As many users still use version 3.0 (not saying about 2.6.4) I don't see how we can target all tiny updates, which are not compatible with each other.

The licensed version of SecureBlackbox comes with the source code, so once you have a license, this problem is gone for you.


Sincerely yours
Eugene Mayevski

Reply

Statistics

Topic viewed 502 times

Number of guests: 1, registered members: 0, in total hidden: 0




|

Back to top

As of July 15, 2016 EldoS Corporation will operate as a division of /n software inc. For more information, please read the announcement.

Got it!